Bug 1245387 - libtalloc-2.1.3 is available
Summary: libtalloc-2.1.3 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtalloc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1241928
TreeView+ depends on / blocked
 
Reported: 2015-07-22 00:16 UTC by Upstream Release Monitoring
Modified: 2015-09-09 23:19 UTC (History)
6 users (show)

Fixed In Version: 2.1.3-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 23:19:46 UTC


Attachments (Terms of Use)
Rebase specfile patch (3.91 KB, patch)
2015-07-22 08:51 UTC, Jakub Hrozek
no flags Details | Diff
New release 2.1.3 (4.07 KB, patch)
2015-07-22 11:04 UTC, Miro Hrončok
no flags Details | Diff

Description Upstream Release Monitoring 2015-07-22 00:16:08 UTC
Latest upstream release: 2.1.3
Current version/release in rawhide: 2.1.2-2.fc23
URL: http://samba.org/ftp/talloc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-07-22 00:16:19 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-gujdNn/libtalloc.spec
return code:  22
stdout:
Getting http://samba.org/ftp/talloc/talloc-2.1.3.tar.gz to ./talloc-2.1.3.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   232  100   232    0     0    491      0 --:--:-- --:--:-- --:--:--   492

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   260  100   260    0     0    183      0  0:00:01  0:00:01 --:--:--   327

  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
curl: (22) The requested URL returned error: 400 Bad Request

Comment 2 Jakub Hrozek 2015-07-22 08:51:33 UTC
Created attachment 1054668 [details]
Rebase specfile patch

Please review the python3 bindings packaging.

I was thinking a bit about renaming the packages from pytalloc and py3talloc to something nicer, but so far only minimal changes are done.

Comment 3 Jakub Hrozek 2015-07-22 08:54:43 UTC
btw the pkg-config file could use updating for python3 bindings upstream as well I guess..

Comment 4 Stephen Gallagher 2015-07-22 11:01:17 UTC
(In reply to Jakub Hrozek from comment #2)
> Created attachment 1054668 [details]
> Rebase specfile patch
> 
> Please review the python3 bindings packaging.
> 
> I was thinking a bit about renaming the packages from pytalloc and py3talloc
> to something nicer, but so far only minimal changes are done.

The Python Packaging Guidelines for Fedora state that the subpackages need to be called python-pytalloc and python3-pytalloc. (Or python3-py3talloc if that's what upstream is calling it).

Fedora no longer allows the "if it starts with py*" exemption on naming.

Comment 5 Miro Hrončok 2015-07-22 11:04:16 UTC
Created attachment 1054795 [details]
New release 2.1.3

Basically the same things as in bz1245388

Comment 6 Miro Hrončok 2015-07-26 21:24:18 UTC
Please, push this on Monday.

Comment 7 Stephen Gallagher 2015-07-27 11:30:23 UTC
(In reply to Miro Hrončok from comment #6)
> Please, push this on Monday.

Miro, please see Comment #4

Comment 8 Miro Hrončok 2015-07-27 12:08:30 UTC
I've seen it and I agree. I've left it to Jakub to choose a name, whether it should be python{,3}-pytalloc, or python{,3}-talloc.

Comment 9 Miro Hrončok 2015-07-27 14:40:42 UTC
Agreed on IRC to use python-talloc and python3-talloc.

Will do this.

Comment 10 Upstream Release Monitoring 2015-07-27 15:17:51 UTC
churchyard's libtalloc-2.1.3-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=672552

Comment 11 Fedora Update System 2015-08-31 15:30:23 UTC
libldb-1.1.21-1.fc22 libtdb-1.3.7-1.fc22 libtevent-0.9.25-1.fc22 libtalloc-2.1.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14682

Comment 12 Fedora Update System 2015-09-01 09:58:05 UTC
libldb-1.1.21-1.fc22, libtalloc-2.1.3-1.fc22, libtdb-1.3.7-1.fc22, libtevent-0.9.25-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libldb libtevent libtalloc libtdb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14682

Comment 13 Fedora Update System 2015-09-09 23:19:42 UTC
libldb-1.1.21-1.fc22, libtalloc-2.1.3-1.fc22, libtdb-1.3.7-1.fc22, libtevent-0.9.25-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.